## libopensmtpd 0.7

=== Makefile ===
LIB=		opensmtpd

LOCALBASE?=	/usr/local/

SRCS=		opensmtpd.c iobuf.c ioev.c
HDRS=		opensmtpd.h
MAN=		osmtpd_run.3
LIBDIR=		${LOCALBASE}/lib/
MANDIR=		${LOCALBASE}/man/man
LDADD=		-levent
DPADD=		${EVENT}

CFLAGS+=	-Wall -I${.CURDIR} -I${.CURDIR}/openbsd-compat
CFLAGS+=	-Wstrict-prototypes -Wmissing-prototypes
CFLAGS+=	-Wmissing-declarations
CFLAGS+=	-Wshadow -Wpointer-arith -Wcast-qual
CFLAGS+=	-Wsign-compare

CLEANFILES= ${VERSION_SCRIPT}

VERSION_SCRIPT=	Symbols.map
SYMBOL_LIST=	${.CURDIR}/Symbols.list

includes:
	@cd ${.CURDIR}; for i in $(HDRS); do \
	    j="cmp -s $$i ${DESTDIR}${LOCALBASE}/include/$$i || \
	    ${INSTALL} ${INSTALL_COPY} -o ${BINOWN} -g ${BINGRP} -m 444 $$i\
		${DESTDIR}${LOCALBASE}/include/"; \
	    echo $$j; \
	    eval "$$j"; \
	done;

${VERSION_SCRIPT}: ${SYMBOL_LIST}
	{ printf '{\n\tglobal:\n'; \
	  sed '/^[._a-zA-Z]/s/$$/;/; s/^/		/' ${SYMBOL_LIST}; \
	  printf '\n\tlocal:\n\t\t*;\n};\n'; } >$@.tmp && mv $@.tmp $@

.include <bsd.lib.mk>

=== debian/changelog ===
libopensmtpd (0.7-1) unstable; urgency=medium

  * Initial release (Closes: #989267)

 -- Ryan Kavanagh <rak@debian.org>  Thu, 10 Jun 2021 07:51:44 -0400

=== debian/control ===
Source: libopensmtpd
Priority: optional
Maintainer: Ryan Kavanagh <rak@debian.org>
Build-Depends: debhelper-compat (= 13),
               libevent-dev,
               mandoc,
Standards-Version: 4.5.1
Section: libs
Homepage: https://imperialat.at/dev/libopensmtpd/
Vcs-Browser: https://salsa.debian.org/debian/libopensmtpd
Vcs-Git: https://salsa.debian.org/debian/libopensmtpd.git
Rules-Requires-Root: binary-targets

Package: libopensmtpd-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libopensmtpd0 (= ${binary:Version}),
         ${misc:Depends},
Description: development files for libopensmtpd
 This library provides an event-based interface for writing
 OpenSMTPD filters. It is used, for example, by the dkimsign filter
 provided by the filter-dkimsign package.
 .
 This package provides C header files. Non-developers likely have
 little use for this package.

Package: libopensmtpd0
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: event-based interface for writing OpenSMTPD filters
 This library provides an event-based interface for writing
 OpenSMTPD filters. It is used, for example, by the dkimsign filter
 provided by the filter-dkimsign package.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
	dh $@ --buildsystem=makefile

override_dh_auto_configure:
	dh_auto_configure -- -f Makefile.gnu

override_dh_auto_build:
	dh_auto_build -- -f Makefile.gnu

override_dh_auto_install:
	dh_auto_install -- -f Makefile.gnu LOCALBASE=/usr LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH)

override_dh_auto_clean:
	dh_auto_clean -- -f Makefile.gnu

override_dh_auto_test:
	# no tests
